Subject: Re: NFS on a netapp and wu-ftpd

From: "C. Paul Ferroni" <[email-masked]>
Date: Wed, 11 Dec 1996 09:44:54 -0500

Andrew Williams wrote:
> 
> Is there any way to get the wuftpd to change ownership of files on
> uploads over nfs?
> 
> my situation:  We have a netapp f220 mounted over several machines (one
> of them being our ftp host)  the ftp directory is exported to the ftp
> host with root access (which does work).  However when I try and upload a
> file the file is created with proper ownership (I am trying to chown the
> file during the upload) but then I get
> "Error writing file: Permission denied."
> 
> any thoughts?
> 
> - Andrew

Unless I'm missing something obvious, you need to edit the
exports file on the toaster to export the appropriate file system(s)
with the root=<nodename> option,so that the server permits root on 
the nfs client to be root on the nfs server (the toaster).
 
See the man pages for export for the syntax, if you're not sure.

-cpf

--
C. Paul Ferroni          Phone: 216-646-4114 (voice)  216-646-3176 (fax)
Systems Specialist           Admin areas: UNIX, WWW, Usenet News, etc.
Allen-Bradley Company, Inc      Email: [email-masked]